org.apache.xmlbeans.impl.common

## Class XmlObjectList

- java.lang.Object
- - org.apache.xmlbeans.impl.common.XmlObjectList

    public class XmlObjectList
    extends Object

A class to hold and compare a list of XmlObjects for use by keys keyrefs during validation.

### Constructor Summary

Constructors
Constructor and Description
`XmlObjectList(int objectCount)` Construct a new empty object list of the given fixed size.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`boolean` `filled()` Tests that all values have been set.
`int` `hashCode()`
`boolean` `set(XmlObject o, int index)` Set an object by index unless a value has been previously set at that location.
`String` `toString()`
`int` `unfilled()` Tests that all values have been set.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlObjectList

    public XmlObjectList(int objectCount)

Construct a new empty object list of the given fixed size.

### Method Detail

#### set

    public boolean set(XmlObject o,
                       int index)

Set an object by index unless a value has been previously set at that location.

Returns:
  true if the value was set, false if the value has already been set

#### filled

    public boolean filled()

Tests that all values have been set. Needed for keys.

#### unfilled

    public int unfilled()

Tests that all values have been set. Needed for keys.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`